org.richfaces.resource.external

## Class MyFacesExternalResourceTracker

- java.lang.Object
- - org.richfaces.resource.external.MyFacesExternalResourceTracker

- All Implemented Interfaces:
    org.richfaces.resource.external.ExternalResourceTracker

      public class MyFacesExternalResourceTracker
      extends Object
      implements org.richfaces.resource.external.ExternalResourceTracker

  Tracks what external resources are renderered to the page (specific for MyFaces)
  Author:
    Lukas Fryc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyFacesExternalResourceTracker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isResourceRenderered(javax.faces.context.FacesContext facesContext, org.richfaces.resource.ResourceKey resourceKey)`
    `void` | `markExternalResourceRendered(javax.faces.context.FacesContext facesContext, org.richfaces.resource.external.ExternalResource resource)`
    `void` | `markResourceRendered(javax.faces.context.FacesContext facesContext, org.richfaces.resource.ResourceKey resourceKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MyFacesExternalResourceTracker

          public MyFacesExternalResourceTracker()

  - ### Method Detail

    - #### isResourceRenderered

          public boolean isResourceRenderered(javax.faces.context.FacesContext facesContext,
                                     org.richfaces.resource.ResourceKey resourceKey)

      Specified by:
        `isResourceRenderered` in interface `org.richfaces.resource.external.ExternalResourceTracker`

    - #### markResourceRendered

          public void markResourceRendered(javax.faces.context.FacesContext facesContext,
                                  org.richfaces.resource.ResourceKey resourceKey)

      Specified by:
        `markResourceRendered` in interface `org.richfaces.resource.external.ExternalResourceTracker`

    - #### markExternalResourceRendered

          public void markExternalResourceRendered(javax.faces.context.FacesContext facesContext,
                                          org.richfaces.resource.external.ExternalResource resource)

      Specified by:
        `markExternalResourceRendered` in interface `org.richfaces.resource.external.ExternalResourceTracker`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.